Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network131.53.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
131.53.0.0
Broadcast address
131.53.255.255
First usable
131.53.0.1
Last usable
131.53.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
B (default /16)
As numbers
Hex 83350000 · Integer 2201288704 to 2201354239
Reverse DNS zone
53.131.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10000011.00110101..00000000.00000000131.53.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network10000011.00110101..00000000.00000000131.53.0.0
Broadcast10000011.00110101..11111111.11111111131.53.255.255
Split into smaller subnets/24

131.53.0.0/16 makes 256 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1131.53.0.0/24131.53.0.1 to 131.53.0.254131.53.0.255254
2131.53.1.0/24131.53.1.1 to 131.53.1.254131.53.1.255254
3131.53.2.0/24131.53.2.1 to 131.53.2.254131.53.2.255254
4131.53.3.0/24131.53.3.1 to 131.53.3.254131.53.3.255254
5131.53.4.0/24131.53.4.1 to 131.53.4.254131.53.4.255254
6131.53.5.0/24131.53.5.1 to 131.53.5.254131.53.5.255254
7131.53.6.0/24131.53.6.1 to 131.53.6.254131.53.6.255254
8131.53.7.0/24131.53.7.1 to 131.53.7.254131.53.7.255254
9131.53.8.0/24131.53.8.1 to 131.53.8.254131.53.8.255254
10131.53.9.0/24131.53.9.1 to 131.53.9.254131.53.9.255254
11131.53.10.0/24131.53.10.1 to 131.53.10.254131.53.10.255254
12131.53.11.0/24131.53.11.1 to 131.53.11.254131.53.11.255254
13131.53.12.0/24131.53.12.1 to 131.53.12.254131.53.12.255254
14131.53.13.0/24131.53.13.1 to 131.53.13.254131.53.13.255254
15131.53.14.0/24131.53.14.1 to 131.53.14.254131.53.14.255254
16131.53.15.0/24131.53.15.1 to 131.53.15.254131.53.15.255254
17131.53.16.0/24131.53.16.1 to 131.53.16.254131.53.16.255254
18131.53.17.0/24131.53.17.1 to 131.53.17.254131.53.17.255254
19131.53.18.0/24131.53.18.1 to 131.53.18.254131.53.18.255254
20131.53.19.0/24131.53.19.1 to 131.53.19.254131.53.19.255254
21131.53.20.0/24131.53.20.1 to 131.53.20.254131.53.20.255254
22131.53.21.0/24131.53.21.1 to 131.53.21.254131.53.21.255254
23131.53.22.0/24131.53.22.1 to 131.53.22.254131.53.22.255254
24131.53.23.0/24131.53.23.1 to 131.53.23.254131.53.23.255254
25131.53.24.0/24131.53.24.1 to 131.53.24.254131.53.24.255254
26131.53.25.0/24131.53.25.1 to 131.53.25.254131.53.25.255254
27131.53.26.0/24131.53.26.1 to 131.53.26.254131.53.26.255254
28131.53.27.0/24131.53.27.1 to 131.53.27.254131.53.27.255254
29131.53.28.0/24131.53.28.1 to 131.53.28.254131.53.28.255254
30131.53.29.0/24131.53.29.1 to 131.53.29.254131.53.29.255254
31131.53.30.0/24131.53.30.1 to 131.53.30.254131.53.30.255254
32131.53.31.0/24131.53.31.1 to 131.53.31.254131.53.31.255254
33131.53.32.0/24131.53.32.1 to 131.53.32.254131.53.32.255254
34131.53.33.0/24131.53.33.1 to 131.53.33.254131.53.33.255254
35131.53.34.0/24131.53.34.1 to 131.53.34.254131.53.34.255254
36131.53.35.0/24131.53.35.1 to 131.53.35.254131.53.35.255254
37131.53.36.0/24131.53.36.1 to 131.53.36.254131.53.36.255254
38131.53.37.0/24131.53.37.1 to 131.53.37.254131.53.37.255254
39131.53.38.0/24131.53.38.1 to 131.53.38.254131.53.38.255254
40131.53.39.0/24131.53.39.1 to 131.53.39.254131.53.39.255254
41131.53.40.0/24131.53.40.1 to 131.53.40.254131.53.40.255254
42131.53.41.0/24131.53.41.1 to 131.53.41.254131.53.41.255254
43131.53.42.0/24131.53.42.1 to 131.53.42.254131.53.42.255254
44131.53.43.0/24131.53.43.1 to 131.53.43.254131.53.43.255254
45131.53.44.0/24131.53.44.1 to 131.53.44.254131.53.44.255254
46131.53.45.0/24131.53.45.1 to 131.53.45.254131.53.45.255254
47131.53.46.0/24131.53.46.1 to 131.53.46.254131.53.46.255254
48131.53.47.0/24131.53.47.1 to 131.53.47.254131.53.47.255254
49131.53.48.0/24131.53.48.1 to 131.53.48.254131.53.48.255254
50131.53.49.0/24131.53.49.1 to 131.53.49.254131.53.49.255254
51131.53.50.0/24131.53.50.1 to 131.53.50.254131.53.50.255254
52131.53.51.0/24131.53.51.1 to 131.53.51.254131.53.51.255254
53131.53.52.0/24131.53.52.1 to 131.53.52.254131.53.52.255254
54131.53.53.0/24131.53.53.1 to 131.53.53.254131.53.53.255254
55131.53.54.0/24131.53.54.1 to 131.53.54.254131.53.54.255254
56131.53.55.0/24131.53.55.1 to 131.53.55.254131.53.55.255254
57131.53.56.0/24131.53.56.1 to 131.53.56.254131.53.56.255254
58131.53.57.0/24131.53.57.1 to 131.53.57.254131.53.57.255254
59131.53.58.0/24131.53.58.1 to 131.53.58.254131.53.58.255254
60131.53.59.0/24131.53.59.1 to 131.53.59.254131.53.59.255254
61131.53.60.0/24131.53.60.1 to 131.53.60.254131.53.60.255254
62131.53.61.0/24131.53.61.1 to 131.53.61.254131.53.61.255254
63131.53.62.0/24131.53.62.1 to 131.53.62.254131.53.62.255254
64131.53.63.0/24131.53.63.1 to 131.53.63.254131.53.63.255254
65131.53.64.0/24131.53.64.1 to 131.53.64.254131.53.64.255254
66131.53.65.0/24131.53.65.1 to 131.53.65.254131.53.65.255254
67131.53.66.0/24131.53.66.1 to 131.53.66.254131.53.66.255254
68131.53.67.0/24131.53.67.1 to 131.53.67.254131.53.67.255254
69131.53.68.0/24131.53.68.1 to 131.53.68.254131.53.68.255254
70131.53.69.0/24131.53.69.1 to 131.53.69.254131.53.69.255254
71131.53.70.0/24131.53.70.1 to 131.53.70.254131.53.70.255254
72131.53.71.0/24131.53.71.1 to 131.53.71.254131.53.71.255254
73131.53.72.0/24131.53.72.1 to 131.53.72.254131.53.72.255254
74131.53.73.0/24131.53.73.1 to 131.53.73.254131.53.73.255254
75131.53.74.0/24131.53.74.1 to 131.53.74.254131.53.74.255254
76131.53.75.0/24131.53.75.1 to 131.53.75.254131.53.75.255254
77131.53.76.0/24131.53.76.1 to 131.53.76.254131.53.76.255254
78131.53.77.0/24131.53.77.1 to 131.53.77.254131.53.77.255254
79131.53.78.0/24131.53.78.1 to 131.53.78.254131.53.78.255254
80131.53.79.0/24131.53.79.1 to 131.53.79.254131.53.79.255254
81131.53.80.0/24131.53.80.1 to 131.53.80.254131.53.80.255254
82131.53.81.0/24131.53.81.1 to 131.53.81.254131.53.81.255254
83131.53.82.0/24131.53.82.1 to 131.53.82.254131.53.82.255254
84131.53.83.0/24131.53.83.1 to 131.53.83.254131.53.83.255254
85131.53.84.0/24131.53.84.1 to 131.53.84.254131.53.84.255254
86131.53.85.0/24131.53.85.1 to 131.53.85.254131.53.85.255254
87131.53.86.0/24131.53.86.1 to 131.53.86.254131.53.86.255254
88131.53.87.0/24131.53.87.1 to 131.53.87.254131.53.87.255254
89131.53.88.0/24131.53.88.1 to 131.53.88.254131.53.88.255254
90131.53.89.0/24131.53.89.1 to 131.53.89.254131.53.89.255254
91131.53.90.0/24131.53.90.1 to 131.53.90.254131.53.90.255254
92131.53.91.0/24131.53.91.1 to 131.53.91.254131.53.91.255254
93131.53.92.0/24131.53.92.1 to 131.53.92.254131.53.92.255254
94131.53.93.0/24131.53.93.1 to 131.53.93.254131.53.93.255254
95131.53.94.0/24131.53.94.1 to 131.53.94.254131.53.94.255254
96131.53.95.0/24131.53.95.1 to 131.53.95.254131.53.95.255254
97131.53.96.0/24131.53.96.1 to 131.53.96.254131.53.96.255254
98131.53.97.0/24131.53.97.1 to 131.53.97.254131.53.97.255254
99131.53.98.0/24131.53.98.1 to 131.53.98.254131.53.98.255254
100131.53.99.0/24131.53.99.1 to 131.53.99.254131.53.99.255254
101131.53.100.0/24131.53.100.1 to 131.53.100.254131.53.100.255254
102131.53.101.0/24131.53.101.1 to 131.53.101.254131.53.101.255254
103131.53.102.0/24131.53.102.1 to 131.53.102.254131.53.102.255254
104131.53.103.0/24131.53.103.1 to 131.53.103.254131.53.103.255254
105131.53.104.0/24131.53.104.1 to 131.53.104.254131.53.104.255254
106131.53.105.0/24131.53.105.1 to 131.53.105.254131.53.105.255254
107131.53.106.0/24131.53.106.1 to 131.53.106.254131.53.106.255254
108131.53.107.0/24131.53.107.1 to 131.53.107.254131.53.107.255254
109131.53.108.0/24131.53.108.1 to 131.53.108.254131.53.108.255254
110131.53.109.0/24131.53.109.1 to 131.53.109.254131.53.109.255254
111131.53.110.0/24131.53.110.1 to 131.53.110.254131.53.110.255254
112131.53.111.0/24131.53.111.1 to 131.53.111.254131.53.111.255254
113131.53.112.0/24131.53.112.1 to 131.53.112.254131.53.112.255254
114131.53.113.0/24131.53.113.1 to 131.53.113.254131.53.113.255254
115131.53.114.0/24131.53.114.1 to 131.53.114.254131.53.114.255254
116131.53.115.0/24131.53.115.1 to 131.53.115.254131.53.115.255254
117131.53.116.0/24131.53.116.1 to 131.53.116.254131.53.116.255254
118131.53.117.0/24131.53.117.1 to 131.53.117.254131.53.117.255254
119131.53.118.0/24131.53.118.1 to 131.53.118.254131.53.118.255254
120131.53.119.0/24131.53.119.1 to 131.53.119.254131.53.119.255254
121131.53.120.0/24131.53.120.1 to 131.53.120.254131.53.120.255254
122131.53.121.0/24131.53.121.1 to 131.53.121.254131.53.121.255254
123131.53.122.0/24131.53.122.1 to 131.53.122.254131.53.122.255254
124131.53.123.0/24131.53.123.1 to 131.53.123.254131.53.123.255254
125131.53.124.0/24131.53.124.1 to 131.53.124.254131.53.124.255254
126131.53.125.0/24131.53.125.1 to 131.53.125.254131.53.125.255254
127131.53.126.0/24131.53.126.1 to 131.53.126.254131.53.126.255254
128131.53.127.0/24131.53.127.1 to 131.53.127.254131.53.127.255254
129131.53.128.0/24131.53.128.1 to 131.53.128.254131.53.128.255254
130131.53.129.0/24131.53.129.1 to 131.53.129.254131.53.129.255254
131131.53.130.0/24131.53.130.1 to 131.53.130.254131.53.130.255254
132131.53.131.0/24131.53.131.1 to 131.53.131.254131.53.131.255254
133131.53.132.0/24131.53.132.1 to 131.53.132.254131.53.132.255254
134131.53.133.0/24131.53.133.1 to 131.53.133.254131.53.133.255254
135131.53.134.0/24131.53.134.1 to 131.53.134.254131.53.134.255254
136131.53.135.0/24131.53.135.1 to 131.53.135.254131.53.135.255254
137131.53.136.0/24131.53.136.1 to 131.53.136.254131.53.136.255254
138131.53.137.0/24131.53.137.1 to 131.53.137.254131.53.137.255254
139131.53.138.0/24131.53.138.1 to 131.53.138.254131.53.138.255254
140131.53.139.0/24131.53.139.1 to 131.53.139.254131.53.139.255254
141131.53.140.0/24131.53.140.1 to 131.53.140.254131.53.140.255254
142131.53.141.0/24131.53.141.1 to 131.53.141.254131.53.141.255254
143131.53.142.0/24131.53.142.1 to 131.53.142.254131.53.142.255254
144131.53.143.0/24131.53.143.1 to 131.53.143.254131.53.143.255254
145131.53.144.0/24131.53.144.1 to 131.53.144.254131.53.144.255254
146131.53.145.0/24131.53.145.1 to 131.53.145.254131.53.145.255254
147131.53.146.0/24131.53.146.1 to 131.53.146.254131.53.146.255254
148131.53.147.0/24131.53.147.1 to 131.53.147.254131.53.147.255254
149131.53.148.0/24131.53.148.1 to 131.53.148.254131.53.148.255254
150131.53.149.0/24131.53.149.1 to 131.53.149.254131.53.149.255254
151131.53.150.0/24131.53.150.1 to 131.53.150.254131.53.150.255254
152131.53.151.0/24131.53.151.1 to 131.53.151.254131.53.151.255254
153131.53.152.0/24131.53.152.1 to 131.53.152.254131.53.152.255254
154131.53.153.0/24131.53.153.1 to 131.53.153.254131.53.153.255254
155131.53.154.0/24131.53.154.1 to 131.53.154.254131.53.154.255254
156131.53.155.0/24131.53.155.1 to 131.53.155.254131.53.155.255254
157131.53.156.0/24131.53.156.1 to 131.53.156.254131.53.156.255254
158131.53.157.0/24131.53.157.1 to 131.53.157.254131.53.157.255254
159131.53.158.0/24131.53.158.1 to 131.53.158.254131.53.158.255254
160131.53.159.0/24131.53.159.1 to 131.53.159.254131.53.159.255254
161131.53.160.0/24131.53.160.1 to 131.53.160.254131.53.160.255254
162131.53.161.0/24131.53.161.1 to 131.53.161.254131.53.161.255254
163131.53.162.0/24131.53.162.1 to 131.53.162.254131.53.162.255254
164131.53.163.0/24131.53.163.1 to 131.53.163.254131.53.163.255254
165131.53.164.0/24131.53.164.1 to 131.53.164.254131.53.164.255254
166131.53.165.0/24131.53.165.1 to 131.53.165.254131.53.165.255254
167131.53.166.0/24131.53.166.1 to 131.53.166.254131.53.166.255254
168131.53.167.0/24131.53.167.1 to 131.53.167.254131.53.167.255254
169131.53.168.0/24131.53.168.1 to 131.53.168.254131.53.168.255254
170131.53.169.0/24131.53.169.1 to 131.53.169.254131.53.169.255254
171131.53.170.0/24131.53.170.1 to 131.53.170.254131.53.170.255254
172131.53.171.0/24131.53.171.1 to 131.53.171.254131.53.171.255254
173131.53.172.0/24131.53.172.1 to 131.53.172.254131.53.172.255254
174131.53.173.0/24131.53.173.1 to 131.53.173.254131.53.173.255254
175131.53.174.0/24131.53.174.1 to 131.53.174.254131.53.174.255254
176131.53.175.0/24131.53.175.1 to 131.53.175.254131.53.175.255254
177131.53.176.0/24131.53.176.1 to 131.53.176.254131.53.176.255254
178131.53.177.0/24131.53.177.1 to 131.53.177.254131.53.177.255254
179131.53.178.0/24131.53.178.1 to 131.53.178.254131.53.178.255254
180131.53.179.0/24131.53.179.1 to 131.53.179.254131.53.179.255254
181131.53.180.0/24131.53.180.1 to 131.53.180.254131.53.180.255254
182131.53.181.0/24131.53.181.1 to 131.53.181.254131.53.181.255254
183131.53.182.0/24131.53.182.1 to 131.53.182.254131.53.182.255254
184131.53.183.0/24131.53.183.1 to 131.53.183.254131.53.183.255254
185131.53.184.0/24131.53.184.1 to 131.53.184.254131.53.184.255254
186131.53.185.0/24131.53.185.1 to 131.53.185.254131.53.185.255254
187131.53.186.0/24131.53.186.1 to 131.53.186.254131.53.186.255254
188131.53.187.0/24131.53.187.1 to 131.53.187.254131.53.187.255254
189131.53.188.0/24131.53.188.1 to 131.53.188.254131.53.188.255254
190131.53.189.0/24131.53.189.1 to 131.53.189.254131.53.189.255254
191131.53.190.0/24131.53.190.1 to 131.53.190.254131.53.190.255254
192131.53.191.0/24131.53.191.1 to 131.53.191.254131.53.191.255254
193131.53.192.0/24131.53.192.1 to 131.53.192.254131.53.192.255254
194131.53.193.0/24131.53.193.1 to 131.53.193.254131.53.193.255254
195131.53.194.0/24131.53.194.1 to 131.53.194.254131.53.194.255254
196131.53.195.0/24131.53.195.1 to 131.53.195.254131.53.195.255254
197131.53.196.0/24131.53.196.1 to 131.53.196.254131.53.196.255254
198131.53.197.0/24131.53.197.1 to 131.53.197.254131.53.197.255254
199131.53.198.0/24131.53.198.1 to 131.53.198.254131.53.198.255254
200131.53.199.0/24131.53.199.1 to 131.53.199.254131.53.199.255254
201131.53.200.0/24131.53.200.1 to 131.53.200.254131.53.200.255254
202131.53.201.0/24131.53.201.1 to 131.53.201.254131.53.201.255254
203131.53.202.0/24131.53.202.1 to 131.53.202.254131.53.202.255254
204131.53.203.0/24131.53.203.1 to 131.53.203.254131.53.203.255254
205131.53.204.0/24131.53.204.1 to 131.53.204.254131.53.204.255254
206131.53.205.0/24131.53.205.1 to 131.53.205.254131.53.205.255254
207131.53.206.0/24131.53.206.1 to 131.53.206.254131.53.206.255254
208131.53.207.0/24131.53.207.1 to 131.53.207.254131.53.207.255254
209131.53.208.0/24131.53.208.1 to 131.53.208.254131.53.208.255254
210131.53.209.0/24131.53.209.1 to 131.53.209.254131.53.209.255254
211131.53.210.0/24131.53.210.1 to 131.53.210.254131.53.210.255254
212131.53.211.0/24131.53.211.1 to 131.53.211.254131.53.211.255254
213131.53.212.0/24131.53.212.1 to 131.53.212.254131.53.212.255254
214131.53.213.0/24131.53.213.1 to 131.53.213.254131.53.213.255254
215131.53.214.0/24131.53.214.1 to 131.53.214.254131.53.214.255254
216131.53.215.0/24131.53.215.1 to 131.53.215.254131.53.215.255254
217131.53.216.0/24131.53.216.1 to 131.53.216.254131.53.216.255254
218131.53.217.0/24131.53.217.1 to 131.53.217.254131.53.217.255254
219131.53.218.0/24131.53.218.1 to 131.53.218.254131.53.218.255254
220131.53.219.0/24131.53.219.1 to 131.53.219.254131.53.219.255254
221131.53.220.0/24131.53.220.1 to 131.53.220.254131.53.220.255254
222131.53.221.0/24131.53.221.1 to 131.53.221.254131.53.221.255254
223131.53.222.0/24131.53.222.1 to 131.53.222.254131.53.222.255254
224131.53.223.0/24131.53.223.1 to 131.53.223.254131.53.223.255254
225131.53.224.0/24131.53.224.1 to 131.53.224.254131.53.224.255254
226131.53.225.0/24131.53.225.1 to 131.53.225.254131.53.225.255254
227131.53.226.0/24131.53.226.1 to 131.53.226.254131.53.226.255254
228131.53.227.0/24131.53.227.1 to 131.53.227.254131.53.227.255254
229131.53.228.0/24131.53.228.1 to 131.53.228.254131.53.228.255254
230131.53.229.0/24131.53.229.1 to 131.53.229.254131.53.229.255254
231131.53.230.0/24131.53.230.1 to 131.53.230.254131.53.230.255254
232131.53.231.0/24131.53.231.1 to 131.53.231.254131.53.231.255254
233131.53.232.0/24131.53.232.1 to 131.53.232.254131.53.232.255254
234131.53.233.0/24131.53.233.1 to 131.53.233.254131.53.233.255254
235131.53.234.0/24131.53.234.1 to 131.53.234.254131.53.234.255254
236131.53.235.0/24131.53.235.1 to 131.53.235.254131.53.235.255254
237131.53.236.0/24131.53.236.1 to 131.53.236.254131.53.236.255254
238131.53.237.0/24131.53.237.1 to 131.53.237.254131.53.237.255254
239131.53.238.0/24131.53.238.1 to 131.53.238.254131.53.238.255254
240131.53.239.0/24131.53.239.1 to 131.53.239.254131.53.239.255254
241131.53.240.0/24131.53.240.1 to 131.53.240.254131.53.240.255254
242131.53.241.0/24131.53.241.1 to 131.53.241.254131.53.241.255254
243131.53.242.0/24131.53.242.1 to 131.53.242.254131.53.242.255254
244131.53.243.0/24131.53.243.1 to 131.53.243.254131.53.243.255254
245131.53.244.0/24131.53.244.1 to 131.53.244.254131.53.244.255254
246131.53.245.0/24131.53.245.1 to 131.53.245.254131.53.245.255254
247131.53.246.0/24131.53.246.1 to 131.53.246.254131.53.246.255254
248131.53.247.0/24131.53.247.1 to 131.53.247.254131.53.247.255254
249131.53.248.0/24131.53.248.1 to 131.53.248.254131.53.248.255254
250131.53.249.0/24131.53.249.1 to 131.53.249.254131.53.249.255254
251131.53.250.0/24131.53.250.1 to 131.53.250.254131.53.250.255254
252131.53.251.0/24131.53.251.1 to 131.53.251.254131.53.251.255254
253131.53.252.0/24131.53.252.1 to 131.53.252.254131.53.252.255254
254131.53.253.0/24131.53.253.1 to 131.53.253.254131.53.253.255254
255131.53.254.0/24131.53.254.1 to 131.53.254.254131.53.254.255254
256131.53.255.0/24131.53.255.1 to 131.53.255.254131.53.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses